[Process Mining](https://en.wikipedia.org/wiki/Process_mining) is a family of techniques aimed at analyzing log files to better understands processes. They range from filtering and visualization tools to better explore and understand the underlying processes, to more complex algorithms used to formalize processes and compare traces. Classical data science techniques can also be used to enrich a process mining approach, for example anomaly detection using unsupervised learning, or predicting the time of completion of a given process.

To find additional information about Process Mining, please browse through the resources linked [here](article:9). The first part of the wiki gives general documentation on the solution while in the following [Case Study](article:1) article, a walkthrough of the solution using actual data will be described.

# Value

- [Instantiate and configure the Process Mining setup](article:12): a Dataiku application enables to run the initial preprocessing and configure the webapp.
- [Discover the Process through the data](article:3): filters and visualization tools help explore the data and uncover its structure.
- [Industrialization using Conformance Checks](article:4): once a reference process is defined, historical and new traces can be tested with conformance checks.




