Conformance checking is the task of comparing a set of traces with a predefined process. It creates insights into how well real-world data conforms to a user-defined process, and also monitors continuously how new traces fit the process. Conformance checking can take multiple forms, depending on the format of the saved process and business expectations.

# Token-Based Replay

Token-Based Replay is the standard starting point for conformance checking. It consists in computing the four counters for each trace that record if transitions occurred according to the Petri Net or not: 

- Produced tokens:  _p_ 
- Consumed tokens:  _c_ 
- Missing tokens:  _m_ 
- Remaining tokens:  _r_ 

A complete description of the technique can be found in the [referenced book](article:9) or in this [wikipedia article](https://en.wikipedia.org/wiki/Token-based_replay).

Then the fitness score is computed:

```math
{\displaystyle \frac{1}{2}(1 - \frac{m}{c}) + \frac{1}{2}(1 - \frac{r}{p})}
```